SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Application (Web Browser)  >   Google Chrome Vendors:   Google
Google Chrome Multiple Flaws Let Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1027067
SecurityTracker URL:  http://securitytracker.com/id/1027067
CVE Reference:   CVE-2011-3083, CVE-2011-3084, CVE-2011-3085, CVE-2011-3086, CVE-2011-3087, CVE-2011-3088, CVE-2011-3089, CVE-2011-3090, CVE-2011-3091, CVE-2011-3092, CVE-2011-3093, CVE-2011-3094, CVE-2011-3095, CVE-2011-3096, CVE-2011-3097, CVE-2011-3098, CVE-2011-3099, CVE-2011-3100, CVE-2011-3101, CVE-2011-3102   (Links to External Site)
Date:  May 16 2012
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): prior to 19
Description:   Multiple vulnerabilities were reported in Google Chrome. A remote user can cause arbitrary code to be executed on the target user's system.

A remote user can create a specially crafted content that, when loaded by the target user, will execute arbitrary code on the target system. The code will run with the privileges of the target user.

Video and FTP can cause a browser crash [CVE-2011-3083]. Aki Helin of OUSPG reported this vulnerability.

Links from internal pages may have an unspecified impact [CVE-2011-3084]. Brett Wilson of the Chromium development community reported this vulnerability.

Long autofilled values may corrupt the user interface [CVE-2011-3085]. psaldorn reported this vulnerability.

A use-after-free with style elements may occur [CVE-2011-3086]. Arthur Gerkis reported this vulnerability.

A window navigation error may occur [CVE-2011-3087]. Charlie Reis of the Chromium development community reported this vulnerability.

An out-of-bounds read may occur in hairline drawing [CVE-2011-3088]. Aki Helin of OUSPG reported this vulnerability.

A use-after-free may occur in table handling [CVE-2011-3089]. miaubiz reported this vulnerability.

A race condition with workers may occur [CVE-2011-3090]. Arthur Gerkis reported this vulnerability.

A use-after-free may occur with an indexed DB [CVE-2011-3091]. Google Chrome Security Team (Inferno) reported this vulnerability.

An invalid write may occur with the v8 engine regex function [CVE-2011-3092]. Christian Holler reported this vulnerability.

An out-of-bounds read may occur in glyph handling [CVE-2011-3093]. miaubiz reported this vulnerability.

An out-of-bounds read may occur in Tibetan handling [CVE-2011-3094]. miaubiz reported this vulnerability.

An out-of-bounds write may occur in an OGG container [CVE-2011-3095]. Hannu Heikkinen reported this vulnerability.

A use-after-free may occur in GTK omnibox handling [CVE-2011-3096]. Arthur Gerkis reported this vulnerability.

An out-of-bounds write may occur in PDF processing [CVE-2011-3097]. Kostya Serebryany of Google and Evgeniy Stepanov of Google reported this vulnerability.

A search path for the Windows Media Play plug-in has unspecified impact [CVE-2011-3098]. Haifei Li of Microsoft and MSVR reported this vulnerability.

A use-after-free in PDF processing may occur [CVE-2011-3099]. Mateusz Jurczyk of Google Security Team and Gynvael Coldwind of Google Security Team reported this vulnerability.

An out-of-bounds read may occur when drawing dash paths [CVE-2011-3100]. Google Chrome Security Team (Inferno) reported this vulnerability.

A flaw may occur in the Linux Nvidia driver [CVE-2011-3101]. Aki Helin of OUSPG reported this vulnerability.

An off-by-one out-of-bounds write may occur in libxml [CVE-2011-3102]. Juri Aedla reported this vulnerability.

Impact:   A remote user can create content that, when loaded by the target user, will execute arbitrary code on the target user's system.
Solution:   The vendor has issued a fix (19).

The vendor's advisory is available at:

http://googlechromereleases.blogspot.com/2012/05/stable-channel-update.html

Vendor URL:  googlechromereleases.blogspot.com/2012/05/stable-channel-update.html (Links to External Site)
Cause:   Access control error, State error
Underlying OS:  Linux (Any), UNIX (OS X), Windows (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Jun 6 2012 (Mozilla Issues Fix for Firefox) Google Chrome Multiple Flaws Let Remote Users Execute Arbitrary Code
Mozilla has issued a fix for CVE-2011-3101 for Mozilla Firefox.
Jun 6 2012 (Red Hat Issues Fix for Mozilla Firefox) Google Chrome Multiple Flaws Let Remote Users Execute Arbitrary Code
Red Hat has issued a fix for Mozilla Firefox for Red Hat Enterprise Linux 5 and 6.
Sep 18 2012 (Red Hat Issues Fix for libxml2) Google Chrome Multiple Flaws Let Remote Users Execute Arbitrary Code
Red Hat has issued a fix for libxml2 for Red Hat Enterprise Linux 5 and 6.
Jan 23 2014 (Apple Issues Fix for Apple iTunes) Google Chrome Multiple Flaws Let Remote Users Execute Arbitrary Code
Apple has issued a fix for Apple iTunes.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2016, SecurityGlobal.net LLC